### Enumeration

# Devhelp LinkType

#### Declaration

    enum Devhelp.LinkType

#### Description [src]

The type of the content the link points to.

#### Members

`DH_LINK_TYPE_BOOK`

  The top-level page of a `DhBook`.

  - Value: `0`
  - Available since: 3.0
`DH_LINK_TYPE_PAGE`

  A page.

  - Value: `1`
  - Available since: 3.0
`DH_LINK_TYPE_KEYWORD`

  Another kind of keyword.

  - Value: `2`
  - Available since: 3.0
`DH_LINK_TYPE_FUNCTION`

  A function keyword.

  - Value: `3`
  - Available since: 3.0
`DH_LINK_TYPE_STRUCT`

  A struct keyword.

  - Value: `4`
  - Available since: 3.0
`DH_LINK_TYPE_MACRO`

  A macro keyword.

  - Value: `5`
  - Available since: 3.0
`DH_LINK_TYPE_ENUM`

  An enum keyword.

  - Value: `6`
  - Available since: 3.0
`DH_LINK_TYPE_TYPEDEF`

  A typedef keyword.

  - Value: `7`
  - Available since: 3.0
`DH_LINK_TYPE_PROPERTY`

  A property keyword.

  - Value: `8`
  - Available since: 3.0
`DH_LINK_TYPE_SIGNAL`

  A signal keyword.

  - Value: `9`
  - Available since: 3.0

#### Type functions

###### dh_link_type_to_string

No description available.